Skip to main content
PUT
Set a domain's scan login

Authorizations

Authorization
string
header
required

An ility API key, such as ilk_1a2b3c4d_…. Workspace owners create keys under Settings → API keys.

Path Parameters

slug
string
required
Minimum string length: 1

Body

application/json
method
enum<string>
required
Available options:
basic,
form
username
string
required
Required string length: 1 - 320
password
string

Required the first time. Omit to keep the stored password.

Maximum string length: 1024
login_url
string | null
Maximum string length: 2048
username_selector
string | null
Maximum string length: 500
password_selector
string | null
Maximum string length: 500
submit_selector
string | null
Maximum string length: 500
logged_in_selector
string | null
Maximum string length: 500

Response

OK

available
boolean
required

False when this deployment cannot store credentials (SCAN_CREDENTIAL_KEY unset).

configured
boolean
required
method
enum<string> | null
required
Available options:
basic,
form
username
string | null
required
has_password
boolean
required
login_url
string | null
required
username_selector
string | null
required
password_selector
string | null
required
submit_selector
string | null
required
logged_in_selector
string | null
required
updated_at
string<date-time> | null
required